PPL: Parma_Polyhedra_Library Namespace Reference

Main Page | Modules | Namespace List | Class Hierarchy | Class List | Namespace Members | Class Members | Related Pages

# Parma_Polyhedra_Library Namespace Reference

The entire library is confined to this namespace. More...

## Classes
class | Parma_Polyhedra_Library::Variable
| A dimension of the space. More...
struct | Parma_Polyhedra_Library::Variable::Compare
| Binary predicate defining the total ordering on variables. More...
class | Parma_Polyhedra_Library::LinExpression
| A linear expression. More...
class | Parma_Polyhedra_Library::Constraint
| A linear equality or inequality. More...
class | Parma_Polyhedra_Library::Generator
| A line, ray, point or closure point. More...
class | Parma_Polyhedra_Library::Poly_Con_Relation
| The relation between a polyhedron and a constraint. More...
class | Parma_Polyhedra_Library::Poly_Gen_Relation
| The relation between a polyhedron and a generator. More...
class | Parma_Polyhedra_Library::BHRZ03_Certificate
| The convergence certificate for the BHRZ03 widening operator. More...
struct | Parma_Polyhedra_Library::BHRZ03_Certificate::Compare
| A total ordering on BHRZ03 certificates. More...
class | Parma_Polyhedra_Library::H79_Certificate
| A convergence certificate for the H79 widening operator. More...
struct | Parma_Polyhedra_Library::H79_Certificate::Compare
| A total ordering on H79 certificates. More...
class | Parma_Polyhedra_Library::Polyhedron
| The base class for convex polyhedra. More...
class | Parma_Polyhedra_Library::C_Polyhedron
| A closed convex polyhedron. More...
class | Parma_Polyhedra_Library::NNC_Polyhedron
| A not necessarily closed convex polyhedron. More...
class | Parma_Polyhedra_Library::Determinate< PH >
| Wraps a PPL class into a determinate constraint system interface. More...
class | Parma_Polyhedra_Library::PowerSet< CS >
| The powerset construction on constraint systems. More...
class | Parma_Polyhedra_Library::Polyhedra_PowerSet< PH >
| The powerset construction instantiated on PPL polyhedra. More...
## Typedefs
typedef mpz_class | Integer
| See the GMP's manual available at http://swox.com/gmp/ .
typedef std::set< Variable, Variable::Compare > | Variables_Set
| An std::set containing variables in increasing order of dimension index.
## Functions
unsigned | version_major ()
| Returns the major number of the PPL version.
unsigned | version_minor ()
| Returns the minor number of the PPL version.
unsigned | version_revision ()
| Returns the revision number of the PPL version.
unsigned | version_beta ()
| Returns the beta number of the PPL version.
const char * | version ()
| Returns a character string containing the PPL version.
const char * | banner ()
| Returns a character string containing the PPL banner.

## Detailed Description

The entire library is confined to this namespace.

## Function Documentation

const char* banner | ( |  | ) |

| Returns a character string containing the PPL banner. The banner provides information about the PPL version, the licensing, the lack of any warranty whatsoever, the C++ compiler used to build the library, where to report bugs and where to look for further information.